#!/bin/bash

script_dir=$(cd -- "$(dirname -- "${BASH_SOURCE[0]}")" &>/dev/null && pwd)

source scripts/build.sh

warning "This script will OVERWRITE whatever media you throw at it\nwith the built ISO."

info "sudo ./hardware.sh /dev/yourdisk"

if ! echo "$1" | grep -q "/dev"; then
    error "invalid device"
fi

read -p "Confirm (y/n): " confirmation
if [ "$confirmation" != "y" ]; then
    exit 0
fi

dd if=./build/image.iso of="$1"
